/*
    GetTLE - URLsMemo.h - headerfile for URLsMemo.c
    Copyright 2000 Andreas Schneider

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef URLsMemoINCLUDED
#define URLsMemoINCLUDED

// The URLs Memo must start with this string:
#define URLsMemoHeader "GetTLE\n"

#define MAX_SITES 25 // not too big - save memory
#define MAX_SITE_URL_LEN 119 // 1 less than the size of the text filed
#define MAX_SITE_NAME_LEN 60 // some limit

extern Char SiteUrls[MAX_SITES][MAX_SITE_URL_LEN+1];
extern Char SiteNames[MAX_SITES][MAX_SITE_NAME_LEN+1];
extern UInt16 NumSites;

extern void ReadURLsMemo(void);

#endif